div.dialog_menu {
    width: 100%;
    height: 100%;
    position: absolute;
}

div.dialog_menu {
    z-index: -999999;
}

div.dialog_menu > div:first-child {
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0;
    position: absolute;
    transition: all 0.5s;
}

div.dialog_menu > div.dialog {
    top: -1000px;
    background-color: #f2f2f2;
    width: 50%;
    height: 400px;
    position: relative;
    margin: 120px auto;
    border-radius: 5px;
    transition: top 1s;
    display: grid;
    grid-template-columns: repeat(5, calc((100% - 80px) / 5));
    grid-column-gap: 20px;
}

div.dialog > div {
    grid-column: 5/6;
    position: absolute;
    right: 20px;
    top: 15px;
    width: 25px;
    height: 30px;
}

div.dialog > div:hover {
    cursor: pointer;
}

div.dialog > div::before, div.dialog > div::after {
    content: "";
    width: 25px;
    height: 2px;
    background: #d7d7d7;
    transform: rotate(45deg);
    position: absolute;
    top: 10px;
}

div.dialog > div::after {
    transform: rotate(135deg);
}

div.dialog > h2 {
    grid-column: 1/6;
    text-align: center;
    margin-top: 25px;
    height: 23pt;
}

div.dialog > form  {
    grid-column: 1/6;
    display: grid;
    grid-template-columns: repeat(5, calc((100% - 80px) / 5));
    grid-column-gap: 20px;
    height: 250px;
}

div.dialog input {
    width: 100%;
    height: 35px;
    border: 0px;
    background-color: #d7d7d7;
    text-align: center;
}

div.dialog > form input:first-of-type {
    grid-column: 2/5;
    margin: 0 auto;
}

div.dialog > form input:nth-of-type(2) {
    grid-column: 2/5;
    margin: 0 auto;
}

div.dialog > form div {
    grid-column: 2/4;
    border-bottom: 3px solid #b2c86d;
    display: inline;
    width: max-content;
    height: 35px;
    text-align: center;
}

div.dialog > form a:first-of-type {
    grid-column: 4/6;
}

div.dialog > form input:last-of-type {
    grid-column: 1/3;
    background: #d5e0b5;
    width: 120px;
    height: 40px;
    border-radius: 5px;
    margin: 0 auto;
}

div.dialog > form a:last-of-type {
    grid-column: 4/6;
    text-align: center;
}

div.dialog > form input:last-of-type, div.dialog > form a:last-of-type {
    margin-bottom: -35px;
}